Subject: APN Summary Report @IETF112

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Mon, 15 Nov 2021 02:08:33 +0000

Dear all,

Thank you very much for your interest in APN. We have finished the presentations and discussions in IETF 112. Below please find a summary report on the APN @IETF112. Hope it accurately captured the meeting and the progress made. Please let us know if you have any comments and suggestions. Thank you!

The suggestions we received from the BoF @IETF111 are as follows,
"... write an I-D with one specific use case and data plane technology, and see if are able to understand how APN would work in this scenario."

Based on the suggestions above, the team made an effort to update two key drafts (to focus on and clarify one specific use case to help people understand how APN would work in this scenario) and publish four new drafts (including the data plane technology) to try to address the understanding gaps between the proponents and the community. Moreover, a dedicated slot was requested and allocated in the RTGWG to present an update of the work and address open issues.

The agenda for the APN presentations in the RTGWG is as follows. 25 mins were allocated. For each following draft, its goals and the changes made as well as the comments received are elaborated in details below.

1.      Updates to the existing drafts
   APN Framework and Gap Analysis updates
   Gyan Mishra/Shuping Peng
   https://datatracker.ietf.org/doc/draft-li-apn-framework/
Changes made: Two new sections are added, section 6 illustration to explain an exact use case covering how APN is applied in this use case in terms of the APN ID tagging and the example for policy mapping according to the APN ID. The benefits of APN are also presented in section 7.
   https://datatracker.ietf.org/doc/draft-peng-apn-scope-gap-analysis/
Changes made: Several existing IDs were added and compared with APN ID. A summary table is presented in the draft.

Comments received: Rick Taylor believed that APN is a really important work and it will be great to have it standardized so he could use the standardized solution in his network.

The communications in the chat box is copied and pasted. FYI.
@gyan - this is really important work. You're right about QoS being the de-facto alternative01:33:08
Gyan Mishra
@Rick, Thank you. Yes QOS has been the defacto standard for decades and it will be around I think forever for IP SLA. What APN does is quite unique as it takes QOS and Diff-Serv TE etc to the next level being able to classify traffic with flow based granularity which fits perfect into SR intent based stateless architecture where micro and macro steering can now occur at the APN head end mapping flows to discrete SR-TE instantiated paths. This avoids any hardware DPI and would provide more efficient use of hardware resources as the APN ID is in the outer payload encapsulation so don't have to go deep into the payload for classification / path instantiation as well as for IOAM for example classification / path instantiation. Thank you
Rick Taylor
@Gyan - thanks - I do understand. Annoyingly I have had to use custom IP option headers within my private networks to achieve the same thing for years. It will be great to see this standardised and then I can drop my hacks.
Gyan Mishra
@Rick, Excellent and many thanks for your support on this work.

One more comment was received.

1)      The flow in APN work indicates a single flow or a group of flows.
Answer: It could be both. The granularity of APN is flexible.

2.      New drafts published
APN Header and IPv6 Encapsulation
   Robin Li
   https://datatracker.ietf.org/doc/draft-li-apn-header/
   https://datatracker.ietf.org/doc/draft-li-apn-ipv6-encap/
Goals: These two drafts define the APN header and its encapsulation in IPv6 data plane.

APN FlowSpec and YANG
   Shuping Peng
   https://datatracker.ietf.org/doc/draft-peng-apn-bgp-flowspec/
   https://datatracker.ietf.org/doc/draft-peng-apn-yang/
Goals: These two drafts define the control plane Flow specification mechanisms for APN and the management control YANG model. It aims to show how the APN policy can be configured.

The other comment was received.

2)      The purpose of the APN parameters are better to clarify in the mailing list.
Answer: It has been addressed in the draft. The APN Para is optional. We will further address these comments in the mailing list.

In summary, it seems that the APN presentations were well received. No more strong challenges were received. One clear support was received during the meeting which is great. The authors will continue the work and progress it further. We plan to close the comments we received from the BoF in the mailing list. Your suggestions and comments are always very welcomed.

Best Regards,
Shuping

From: Apn [mailto:[email-masked]] On Behalf Of Pengshuping (Peng Shuping)
Sent: Tuesday, October 26, 2021 9:31 AM
To: apn <[email-masked]>
Subject: [Apn] The APN drafts updated and published

Dear all,

We have updated the following drafts and published some new drafts as follows.
Your reviews and comments are very welcomed. Thank you!

Drafts updated:

1.      APN Framework

https://datatracker.ietf.org/doc/html/draft-li-apn-framework-04

An illustration section is added with an example use case described. The benefits of using APN is also introduced.

2.      Gap Analysis updates

https://datatracker.ietf.org/doc/html/draft-peng-apn-scope-gap-analysis-03

The solution gap analysis section is updated with more existing IDs analyzed and compared. A comparison table is added in the Summary sub-section.

3.      APN Use case

https://datatracker.ietf.org/doc/html/draft-yang-apn-sd-wan-usecase-03

The APN with iOAM is added as a new section.

New drafts published:

4.      APN Header

https://datatracker.ietf.org/doc/html/draft-li-apn-header-00

This document defines the application-aware networking (APN) header which can be used in the different data planes.

5.      IPv6 Encapsulation

https://datatracker.ietf.org/doc/html/draft-li-apn-ipv6-encap-00

This document defines the encapsulation of the APN header in the IPv6 data plane.

6.      APN FlowSpec

https://datatracker.ietf.org/doc/html/draft-peng-apn-bgp-flowspec-00

This document specifies a new BGP Flow Spec Component Type in order to support APN traffic filtering. The match field is the APN ID. It also specifies traffic filtering actions to enable the creation of the APN ID in the outer tunnel encapsulation when matched to the corresponding Flow Spec rules.

7.      APN YANG

https://datatracker.ietf.org/doc/html/draft-peng-apn-yang-00

This document defines a YANG module for APN.

Thank you!

Best Regards,
Shuping